PayNowPro
Products

Get Product Groups

Retrieves a paginated list of product groups for a tenant.

GET
/groups
api-key<token>

In: header

Query Parameters

tenantAlias*string

Merchant identifier for multi-tenant access

limit?number

Maximum number of product groups to return

Formatdouble
cursor?string

Pagination cursor for retrieving next page

order?string

Sort order for results

Value in"asc" | "desc"

Response Body

application/json

application/json

curl -X GET "https://api.paynowpro.com/api/v1/groups?tenantAlias=string"
{
  "nextCursor": "string",
  "data": [
    {
      "id": "string",
      "tenantAlias": "string",
      "name": "string",
      "metadata": {
        "property1": null,
        "property2": null
      },
      "createdAt": "string",
      "updatedAt": "string",
      "prorateUpgrades": true
    }
  ]
}
{
  "cause": null,
  "body": {
    "response": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      }
    },
    "request": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "url": "string",
      "method": "string"
    },
    "reason": "string",
    "code": 400
  }
}